summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'functions.sh')
-rw-r--r--functions.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/functions.sh b/functions.sh
index 57dfbb6..6cf7439 100644
--- a/functions.sh
+++ b/functions.sh
@@ -1060,7 +1060,10 @@ fi
# Source any modules that have been selected by the GENFUN_MODULES variable.
for _ in "${genfun_basedir}/functions"/*.sh; do
- if _want_module "$_"; then
+ if ! test -e "$_"; then
+ warn "no gentoo-functions modules were found (genfun_basedir might be set incorrectly)"
+ ! break
+ elif _want_module "$_"; then
. "$_" || return
fi
done